/**
 *
 * Apply your custom CSS here
 *
*/

body {
}

a {
}

.avatar-thumb{
	max-width:20%;
	max-height:20%;
}

.centered{
	text-align:center;
}

.tabs-horizontal-bordered .active{
	border:1px solid #cecece;
	border-bottom:0px;
}

.tab-content-horizontal-bordered{
	border:1px solid #cecece;
}

.user-info-sidebar  .nav.tabs-vertical{
	width:100%;
	float:right;
}

.user-info-sidebar>.tabs-vertical{
	position:relative;
	right:0px;
}
.user-info-sidebar>.tabs-vertical>li.active>a{
	border-right-color:none;
}

.imgEditingPixie, .showFullImage{
	cursor: pointer;
}

.bottom-buffer { margin-bottom:20px; }

.top-buffer { margin-top: 20px; }

.not-selectable {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }

  /***************
  * Preview Css
  ****************/

.panelPreview {
    position: relative;
    background: #fff;
    padding: 20px 15px;
    border: 0;
    margin-bottom: 30px;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

.previewField-image {
    width: 100%;
}

.removeFieldImageButton {
    font-size: 30px;
    background-color: rgba(0,0,0,.3);
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    right: 2px;
    top: 2px;
    cursor: pointer;
    color: white;
}

#imageContainer, .previewImageContainer {
    position: relative;
    margin: 0 auto;
    width: 600px;
}

#mainPreviewImage {
    position: relative;
}

#savePreview {
    display: none;
}

#savePreview.active {
    display: block;
}

.previewContainer {
    position: relative;
    max-width: 1280px;
    max-height: 720px;
}

.hide {
    display: none;
}

.previewContainer.active {
    display: block !important;
}

.previewField {
    position: absolute;
    border: 1px dashed red;
    border-radius: 4px;
    background-color: transparent;
    z-index: 1000;
}

.previewFieldVisualize {
    z-index: 1000 !important;
    position: absolute !important;
}

.previewFieldInside {
    width: 99%;
    height: 99%;
    position: relative;
    margin: 0px auto;
}

.previewSizeContainer, .previewPositionContainer{
    position: absolute;

    /* Centralize the element */
    margin: 0 auto;
    left: 0;
    right: 0;
    min-width: 110px;
    max-width: 110px;
    background-color: #ffffffb7;
    padding: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3px;
    opacity: 0;
    border-radius: 4px;
    z-index: 999;
}

.previewPositionContainer {
    top: -28px;
    left: 0px;
}

.previewSizeWidth,
.previewSizeHeight,
.previewPositionX,
.previewPositionY {
    box-sizing: border-box;
    margin: 0;
}

.resizer {
    position: absolute;
    z-index: 1000;
}

.resizer.resizer-left {
    height: 100%;
    width: 4px;
    left: -2px;
    cursor: col-resize;
}

.resizer.resizer-right {
    height: 100%;
    width: 4px;
    right: -2px;
    cursor: col-resize;
}

.resizer.resizer-top {
    top: 0px;
    width: 100%;
    height: 4px;
    top: -2px;
    cursor: row-resize;
}

.resizer.resizer-bottom {
    bottom: 0px;
    width: 100%;
    height: 4px;
    bottom: -2px;
    cursor: row-resize;
}

.previewActions {
    display: flex;
    justify-content: end;
}

.dragdrop-preview {
    position: relative;
    background-color: #ededed;
    border: 1px dashed #ccc;
    height: 100px;

}

.dragdrop-preview * {
    margin: 0;
}

#footerImageLabel, .footerImageLabel {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    cursor: pointer;
}

.dropImagePreviewInput {
    display: none !important;
}

.panel-warning, .panel-warning > .panel-body{
	background-color:#FFEB0D;
}

.panel-warning .editable-click, .panel-warning a.editable-click, .panel-warning a.editable-click:hover{
	color:#000;
}

.panel-success, .panel-success > .panel-body{
	background-color:#4ACC37;
}

.panel-success .editable-click, .panel-success a.editable-click, .panel-success a.editable-click:hover{
	color:#000;
}

.panel-success .cardText, .panel-warning .cardText{
	color:#000;
}

.panel-danger, .panel-danger > .panel-body{
	background-color:#C81810;
}

.panel-danger .editable-click, .panel-danger a.editable-click, .panel-danger a.editable-click:hover{
	color:#000;
}

.panel-danger .cardText{
	color:#000;
}

.panel-footer{
	background:none;
	border:0px;
}

.panel-success > .panel-footer > .action-buttons > .btn{
	border: 1px solid #cecece;
}

.card-content-container .nav.nav-tabs>li>a{
	border:0px;
}
.card-content-container .nav.nav-tabs>li.active{
	border:1px solid #ccc;
	border-bottom:0px;
}

.card-content-container .nav.nav-tabs+.tab-content{
	border:1px solid #ccc;
}

.row-post-table {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display:         flex;
  flex-wrap: wrap;
}
.row-post-table > [class*='col-'] {
  display: flex;
  flex-direction: column;
}

.card-content-container{
	max-height:700px;
	min-height:700px;
}

.card_info_about_post_content .field-label{
	color:#000;
}
.card_info_about_post_content{
	max-height:320px;
	min-height:320px;
}

.content_body{
	max-height:230px;
}

/* to make scrollbars always visible */
.always-visible.ps-container > .ps-scrollbar-x-rail,
.always-visible.ps-container > .ps-scrollbar-y-rail {
opacity: 0.6;
}

.nopadding {
   padding: 0 !important;
   margin: 0 !important;
}

/**
 * Cards
 */
/* entire container, keeps perspective */
.card-content-container {
    -webkit-perspective: 650;
    -moz-perspective: 650px;
    -o-perspective: 650px;
    perspective: 650px;
}

/* New flip card container */
.flip-card {
    background-color: transparent;
}

/* This container is needed to position the front and back side */
.flip-card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    transition: transform 0.8s;
    transform-style: preserve-3d;
    color:#000;
}

/* Do an horizontal flip when you move the mouse over the flip box container */
.flip-card.hover .flip-card-inner {
    transform: rotateY(180deg);
}

.flip-card.hover .flip-card-front {
    display: none !important;
}

/* Position the front and back side */
.flip-card-front, .flip-card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden; /* Safari */
    backface-visibility: hidden;
}

/* Style the front side (fallback if image is missing) */
.flip-card-front {
    color: black;
}

/* Style the back side */
.flip-card-back {
    transform: rotateY(180deg);
}

/**
 * Custom clients, channels and categories CSS
 */
.uk-nestable-item .uk-collapseChildrens, .uk-nestable-item  .uk-checkbox-select {
    padding: 5px 8px;
    background: #eee;
	display: inline-block;
    font-size: 15px;
    color: #979898
}

.uk-nestable-item  .list-label{
	padding: 10px 8px;
}

div.uk-nestable-item.active {
	background-color: #122c4e !important;
}
div.uk-nestable-item.active div.list-label{
	color:#fff !important;
}

/**
 * Custom CSS gallery show in add/edit post page
 */
.anotherImageCard{
	max-height:260px;
	min-height:260px;
	height:260px;
	border:2px dashed #ccc;
	margin:10px;
}

.anotherImageCard.small-area-update{
	/*max-height:60px;
	min-height:60px;
	height:60px;
	max-width:250px;
	min-width:250px;
	width:250px;*/
}
.anotherImageCard .infoAboutFile{
	display:none;
}
.anotherImageCard .infoAboutFile .progress
{
	display:inline-block;
	width:150px;min-height:150px!important;
	height:150px;
	line-height:150px;
	text-align:center;
	font-size:15px;
	color:#646565;
	margin-bottom:30px;
	-webkit-border-radius:50%;
	-webkit-background-clip:padding-box;
	-moz-border-radius:50%;
	-moz-background-clip:padding;
	border-radius:50%;
	background-clip:padding-box;
}

a.removeThisImage, a.detachImageFromPost{
    float:right;
    margin-top:-10px;
    margin-right:-25px;
    cursor:pointer;
    color: #fff;
    border-radius: 30px;
    font-size: 26px;
    font-weight: bold;
    display: inline-block;
    line-height: 0px;
    padding: 11px 3px;
}

.removeThisImage:before, .detachImageFromPost:before {
    content: "×";
}

.imageContainer{
	max-height:180px;
	min-height:180px;
	height:180px;
	display:table-cell;
	vertical-align:middle;
	text-align:center;
}

#addPost .tabs-vertical-env .nav.tabs-vertical, #viewPost  .tabs-vertical-env .nav.tabs-vertical{
	min-width:50px;
	width:50px;
}

.card_info_about_post_content .tabs-vertical-env .nav.tabs-vertical{
	min-width:50px;
	width:50px;
}

#addPost .validate-has-error{
	color:red;
	font-weight:bold;
}

.newLanguagesContainer .no-spacing{
	margin-top:-25px;
}

.newLanguagesContainer .dropdown-tab{
	background-color:#f4f4f4;
}
.newLanguagesContainer ul.dropdown-menu li:last-child {
	padding-bottom:0px !important;
}

#toast-container>div{
	opacity: 1 !important;
}

.body_input_listing, .hat_input_listing, .title_input_listing{
}

/**
 * Z-index for datepicker, dropdown-menu
 */
.datepicker, .dropdown-menu{
	z-index: 8000 !important;
}

/**
 * Custom popover class

.popover{
	width:100% !important;
}
*/

/**
 * Centralize element
 */

.margin-centralize {
    margin: 0 auto;
}

.popover .period_to, .popover .period_from{
	width:80% !important;
}

/**
 * Clear element
 */
div.clearall, div.clearfix{
	clear:both;
}

/**
 * Forcing color "black" at some elements
 */
.colorBlack{
	color: #000000;
}

/**
 * Forcing bold css
 */
.fontBold{
	font-weight: bold;
}

/**
 * Auto margin
 */
.autoMargin{
	margin:0 auto;
}

/**
 * Special Templates
 */
#templateFiels{
	min-height:100px;
}

.img-small-droppable{
	width:50px !important;
	min-height:50px !important;
	height:50px !important;
	line-height:50px !important;
}

.img-medium-droppable{
	width:150px !important;
	min-height:150px !important;
	height:150px !important;
	line-height:50px !important;
}

.droppable-area.small-droppable{
	width:50px !important;
	min-height:50px !important;
	height:50px !important;
	line-height:50px !important;
}

.droppable-area.medium-droppable{
	width:100px !important;
	min-height:100px !important;
	height:100px !important;
    line-height:100px !important;
}

.textright{
	text-align: right;
}

.posfixed{
	position: fixed;
}

.updateCard{
	max-height:240px;
	min-height:240px;
	height:240px;
}

.groupCard
{
	max-height:140px;
	min-height:140px;
	height:140px;
}

ul.styletypenone
{
	list-style-type: none;
}

.clientExhibitionList{
}

.clientExhibitionList label, .categoriesExhibitionList label
{
	min-width:150px;
	font-weight:bold;
}

.white-text{
	color:#fff;
}

.labelDashboardItem{
	padding:10px;
}

.clientsAndChannels>.tabs>li.active a:after{
	background-color:transparent;
}

.clientsAndChannels>.tabs>li.active a, .clientsAndChannels>.tabs>li.active a span{
	background-color:#008000;
	color:#fff;
	font-weight:bold;
}

/**
 * fa-arrows-v
 */

.verticalResize .uk-nestable-handle:after{content:"\f07d";font-family:FontAwesome}

.dashboard_info_radiator .counter{
	font-weight:bold;
	color:#000 !important;
}

.ourInfoPanel .chart-item-desc{
	font-size:90px;
}
.togglePanelAction, .toggleChildrens {
	cursor: pointer;
}

.betterColor{
	color:#000;
	font-weight:bold;
}

.displayOriginalImage:hover {
	cursor: hand;
	cursor: pointer;
}

.pull-right{
	float:right;
}

.tableEqually{
	max-width: none;
	table-layout: fixed;
	word-wrap: break-word;
}

.c-responsiveTable  td{
    min-width: 150px;
}


